/******************************************************************************
 * @file:    LM4Fxxxx.h
 * @purpose: Header file for Luminary Micro LM4Fxxxx microcontrollers 
 *
 * @version: V1.0
 * @date:    29. August 2011
 *----------------------------------------------------------------------------
 *
 * Copyright (C) 2008-2011 ARM Limited. All rights reserved.
 *
 * ARM Limited (ARM) is supplying this software for use with Cortex-M0 
 * processor based microcontrollers.  This file can be freely distributed 
 * within development tools that are supporting such ARM based processors. 
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * ARM SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 ******************************************************************************/

#ifndef __LM4FXXXX_H__
#define __LM4FXXXX_H__

/*----------------------------------------------------------------------------
  Note:
        set INC path to "Stellarisware library folder"
                        "./Keil/ARM/RV31/LIB/Luminary"
 *----------------------------------------------------------------------------*/ 

#include "inc/hw_adc.h"
#include "inc/hw_can.h"
#include "inc/hw_comp.h"
#include "inc/hw_eeprom.h"
#include "inc/hw_epi.h"
#include "inc/hw_ethernet.h"
#include "inc/hw_fan.h"
#include "inc/hw_flash.h"
#include "inc/hw_gpio.h"
#include "inc/hw_hibernate.h"
#include "inc/hw_i2c.h"
#include "inc/hw_i2s.h"
#include "inc/hw_ints.h"
#include "inc/hw_lpc.h"
#include "inc/hw_memmap.h"
#include "inc/hw_nvic.h"
#include "inc/hw_peci.h"
#include "inc/hw_pwm.h"
#include "inc/hw_qei.h"
#include "inc/hw_ssi.h"
#include "inc/hw_sysctl.h"
#include "inc/hw_timer.h"
#include "inc/hw_types.h"
#include "inc/hw_uart.h"
#include "inc/hw_udma.h"
#include "inc/hw_usb.h"
#include "inc/hw_watchdog.h"

#include "driverlib/adc.h"
#include "driverlib/can.h"
#include "driverlib/comp.h"
#include "driverlib/cpu.h"
#include "driverlib/debug.h"
#include "driverlib/eeprom.h"
#include "driverlib/epi.h"
#include "driverlib/ethernet.h"
#include "driverlib/fan.h"
#include "driverlib/flash.h"
#include "driverlib/fpu.h"
#include "driverlib/gpio.h"
#include "driverlib/hibernate.h"
#include "driverlib/i2c.h"
#include "driverlib/i2s.h"
#include "driverlib/interrupt.h"
#include "driverlib/lpc.h"
#include "driverlib/mpu.h"
#include "driverlib/peci.h"
#include "driverlib/pin_map.h"
#include "driverlib/pwm.h"
#include "driverlib/qei.h"
#include "driverlib/rom.h"
#include "driverlib/rom_map.h"
#include "driverlib/ssi.h"
#include "driverlib/sysexc.h"
#include "driverlib/sysctl.h"
#include "driverlib/systick.h"
#include "driverlib/timer.h"
#include "driverlib/uart.h"
#include "driverlib/udma.h"
#include "driverlib/usb.h"
#include "driverlib/watchdog.h"

#endif // __LM4FXXXX_H__
